var platformImages = [
    "images/Grass3.png",
    "images/Grass4.png",
    "images/Grass6.png",
    "images/Grass8.png",
    "images/Logs3.png",
    "images/Logs6.png",
    "images/water3.png"
];
var Sect = function(x, y, imageIndex){
    this.x = x;
    this.y = y;
    this.imageIndex = imageIndex;
};
var Level = {
    sections: [
        new Sect(0, 1, 3),
        new Sect(8, 1, 3),
        new Sect(16, 1, 3),
        new Sect(19, 6, 2),
        new Sect(7, 9, 3)
    ],
    coins: [
        {x:2, y:3},
        {x:19, y:8},
        {x:20, y: 8.5},
        {x:21, y: 8}
    ],
    water: [
        new Sect(24, 1, 6),
        //new Sect(16, 1, 6)
    ],
    stops: [
        {x:7, y:10},
        {x:14, y:10},
        {x:19, y:7},
        {x:24.5, y: 7},
        {x:23.4, y: 2},
        {x:10, y:2}
    ],
    spiders: [
        {x:8, y:9},
        {x: 20, y:6},
        {x:11, y:1}
    ]
};
Level.build = function() {
    objects.platforms = [];
    for(let s = 0; s < this.sections.length; s++){
        let p = new Sprite(platformImages[this.sections[s].imageIndex], 
            this.sections[s].x * 32, 
            canvas.height -  this.sections[s].y * 32);
        objects.platforms.push(p);
    }
    objects.coins = [];
    for(let s = 0; s < this.coins.length; s++){
        let c = new Coin(this.coins[s]. x * 32, canvas.height - this.coins[s].y * 32);
        objects.coins.push(c);
    }
    objects.water = [];
    for(let s = 0; s < this.water.length; s++){
        let p = new Sprite(platformImages[this.water[s].imageIndex],
            this.water[s].x * 32, 
            canvas.height -  this.water[s].y * 32);
        objects.water.push(p);
    }
    objects.stops = [];
    for(let s = 0; s < this.stops.length; s++){
        //let p = new Sprite("images/stopper.png", 
        let p = new Sprite("images/stopperTrans.png", 
                this.stops[s].x * 32, 
                canvas.height - this.stops[s].y * 32);
        objects.stops.push(p);
    }
    objects.spiders = [];
    for(let s = 0; s < this.spiders.length; s++){
        let p = new Spider(this.spiders[s].x * 32, 
                canvas.height - (this.spiders[s].y * 32 + 38));
        p.moveX = 3;
        objects.spiders.push(p);
    }
};

